package de.telekom.silly_game;

import jakarta.mail.internet.MimeMessage;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.mail.javamail.JavaMailSender;
import org.springframework.mail.javamail.MimeMessageHelper;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

@RestController
@RequestMapping("/api")
public class InviteController {

    @PostMapping("/invite")
    public ResponseEntity<?> sendInvite(@RequestBody Map<String, String> payload) {
        String email = payload.get("email");

        // Simulate sending an email (MailHog catches it)
        try {
            MimeMessage message = mailSender.createMimeMessage();
            MimeMessageHelper helper = new MimeMessageHelper(message, true);
            helper.setTo(email);
            helper.setSubject("You've been invited!");
            helper.setText("Your friend invited you to play a game!", true);

            mailSender.send(message);
            return ResponseEntity.ok().build();
        } catch (Exception e) {
            return ResponseEntity.status(500).body("Failed to send email.");
        }
    }

    @Autowired
    private JavaMailSender mailSender;
}
